[unix_http_server]
file=/tmp/supervisor.sock

[supervisord]
logfile=/tmp/supervisord.log
logfile_maxbytes=50MB
logfile_backups=10
loglevel=info
pidfile=/tmp/supervisord.pid
nodaemon=true

[rpcinterface:supervisor]
supervisor.rpcinterface_factory = supervisor.rpcinterface:make_main_rpcinterface

[supervisorctl]
serverurl=unix:///tmp/supervisor.sock ; use a unix:// URL for a unix socket

[program:php-fpm]
command=/usr/sbin/php-fpm7.0 -c /etc/php/7.0/fpm
stdout_events_enabled=true
stderr_events_enabled=true

[program:php-fpm-log]
command=tail -f /var/log/php-fpm.log
stdout_events_enabled=true
stderr_events_enabled=true
autorestart=unexpected

[program:mwdebug-log]
command=tail -f /tmp/mwdebug.log
stdout_events_enabled=true
stderr_events_enabled=true
autorestart=unexpected

[program:nginx]
command=/usr/sbin/nginx
stdout_events_enabled=true
stderr_events_enabled=true

[program:setup]
command=bin/bash /scripts/setup.sh
stdout_events_enabled=true
stderr_events_enabled=true
autorestart=unexpected

[eventlistener:stdout]
command = supervisor_stdout
buffer_size = 100
events = PROCESS_LOG
result_handler = supervisor_stdout:event_handler
